# MessageNet Systems ALSA sound configuration file
# Allowing multiple playback and capture 

pcm.!default {
    type plug
    slave.pcm "duplex"
}
pcm.nullpcm {
    type null
}
pcm.duplex {
    type asym
    playback.pcm "dmixer"
    capture.pcm "analog_input"
}
pcm.dmixer {
    type dmix
    ipc_key 1024
    ipc_perm 0666
    slave {
        pcm "hw:1,3"
        period_time 0
        period_size 1024
        buffer_size 8192
    }
    bindings {
       0 0
       1 1
    }
}
pcm.analog_input
{
    type dsnoop
    ipc_key 2048
    ipc_perm 0666
    slave{
       pcm "hw:0,2"
    }
}
pcm.dsp0 {
    type plug
    slave.pcm "dmixer"
}
ctl.mixer0 {
    type hw
    card 0
}
pcm.record_left {
    type dsnoop
    ipc_key 1024
    ipc_perm 0666
    slave {
        pcm "hw:0,0"
        channels 2
    }
    bindings.0  0
}
pcm.record_right {
    type dsnoop
    ipc_key 1024
    ipc_perm 0666
    slave {
        pcm "hw:0,0"
        channels 2
    }
    bindings.0  1
}
pcm.my_pcm {
    type speex
    slave.pcm "record_right"
    frames 128 
    denoise 0 
    agc 1
    echo 1
    filter_length 8192
    agc_level 8000
    dereverb 0
    dereverb_decay 0
    dereverb_level 0
}

